import request from '@/utils/request'

// 查询职业列表
export function listMallCareer(query) {
  return request({
    url: '/mall/mallCareer/list',
    method: 'get',
    params: query
  })
}

// 查询职业详细
export function getMallCareer(careerId) {
  return request({
    url: '/mall/mallCareer/' + careerId,
    method: 'get'
  })
}

// 新增职业
export function addMallCareer(data) {
  return request({
    url: '/mall/mallCareer',
    method: 'post',
    data: data
  })
}

// 修改职业
export function updateMallCareer(data) {
  return request({
    url: '/mall/mallCareer',
    method: 'put',
    data: data
  })
}

// 删除职业
export function delMallCareer(careerId) {
  return request({
    url: '/mall/mallCareer/' + careerId,
    method: 'delete'
  })
}

// 查询职业列表
export function getCareerDropDownList(query) {
  return request({
    url: '/mall/mallCareer/getCareerDropDownList',
    method: 'get',
    params: query
  })
}
